サーバー変更の準備


サーバーの変更を予定しています。

現在のサーバーはPHP4での動作ができますが、PHP5は動きません。

PHP4は既にサポートサービスも終了し、順次PHP5への移行をしなければなりません。

しかし、このサーバーはPHP5へのバージョンアップは対応できないのです。

やむをえず別の会社のサーバーを探しています。

動きの悪くなったパソコンをWINDOWS7 64ビット搭載のパソコンを購入してメインのパソコンにし、サーバー移行の準備を進めています。

まずはローカルの環境をということで、使い慣れた「AN HTTPD」を導入使用と思いましたが現状では64ビットには対応していませんでした。

そこでXAMPPの最新バージョン1.7.3をインストール。

参考にしたのは

XAMPP をWindows 7 RC 64-bit に導入

[XAMPP]WinXP ローカル環境で複数ドメイン管理

のふたつのブログ。おふたりに感謝します。

ところで、XAMPPの以前のバージョンではPHP4とPHP5の二つが入っていて切り替えできるようになっていましたが、バージョン1.7.3ではPHP5のみです。それでも作成済みのものをローカル環境で実行してみましたがエラーだらけ。

その原因を探しているうちにある事実に気がつきました。

XAMPPの1.7.3はデフォルトでPHPのショートタグを実行できない設定になっている!

<?= $test ?>とか<? echo $test; ?>ではだめで

<?php echo $test; ?>

のような記述でないとだめだということです。

PHPプロのショー トタグ形式によると「XMLとの衝突を避けるために、今では<?phpで始まることが推奨されている。」ということでした。

PHP.iniを変更することで対応は出来そうですがこの際すべて正規の記述にへんこうすることにしました。